<?php 
include "scrinit.php";
include $menu;
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:1px;font-size:10pt; }
<p style="font-size:10px;"></p>
</style>
<title>SMS Πρώτης Περιόδου</title>
</head>
<body>
<?php 

require("dbconnect.php");
$usr=$_SESSION['usr'];
$access=$_SESSION['access'];
$dt=$_SESSION['dt'];
$gym=$_SESSION['gym'];
$daymap = array('Κυριακή', 'Δευτέρα', 'Τρίτη', 'Τετάρτη', 'Πέμπτη', 'Παρασκευή', 'Σάββατο');
$datedisp= date('d-m-Y', strtotime($dt)); 
$daytext = $daymap[date('w', strtotime($dt))];
$day = date('D', strtotime($dt));

if ($access <3 ) { echo " *** ΜΗ ΔΙΑΘΕΣΙΜΕΣ ΑΝΑΦΟΡΕΣ *** ";}
else
{
//ΑΛΛΑΓΕΣ
$sql= $dbcon->prepare("SELECT a.idteacher,a.fromper,a.toper,t.pmp FROM allages as a,timetable as t 
WHERE a.idteacher=t.id AND a.date=? " );
$sql->execute([$dt]);
$c=$sql->rowCount();
echo "ΗΜΕΡΟΜΗΝΙΑ: ".$daytext.", ".$dt;
$i=1;
echo "<BR>"."<b>"."ΚΑΤΑΛΟΓΟΣ ΚΑΘΗΓΗΤΩΝ ΜΕ ΑΛΛΑΓΕΣ ΠΕΡΙΟΔΩΝ ΜΑΘΗΜΑΤΟΣ"."</b>";
echo "<table class='myTable' >
<tr style='border:1px solid black' bgcolor='#d6ff73'  >
<th>Α/Α</th>
<th>ΠΜΠ</th>
<th>Όνομα</th>
<th>Τμήμα</th>
<th>Από περ</th>
<th>Σε περ</th>
<th>Τηλέφωνο</th>
<th>Αποστολή SMS</th>
</tr>";
?>	
<form method="POST"  >
<?php
while($row=$sql->fetch(PDO::FETCH_ASSOC))   
{ 
	$pmp[$i]=$row['pmp'];
	$from[$i]=$row['fromper'];
	$to[$i]=$row['toper'];
    $sqlo = $dbcon->prepare("SELECT kinito,Name from teachers where PMP=?");
	$sqlo->execute([$pmp[$i]]);
	$rowo=$sqlo->fetch(PDO::FETCH_ASSOC);
	$name[$i]=$rowo['Name'];
	$til[$i]=$rowo['kinito'];
	$dd=$day.$from[$i];
	$idt=$row['idteacher'];
	$resx = $dbcon->prepare("SELECT ".$dd." FROM timetable WHERE id=?");
	$resx->execute([$idt]);
	$rowx=$resx->fetch(PDO::FETCH_ASSOC);
	$tm[$i]=$rowx["$dd"];
	echo "<tr>";
	echo "<td>". $i . "</td>";
	echo "<td>". $pmp[$i]."</td>";
	echo "<td>". $name[$i]."</td>";
	echo "<td>". $tm[$i]."</td>";
	echo "<td>". $from[$i]."</td>";
	echo "<td>". $to[$i]."</td>";
	echo "<td>". $til[$i]."</td>";
	$x=$til[$i]."/".$from[$i]."/".$to[$i]."/".$name[$i]."/".$tm[$i];
	echo "<td align='center'>". "<input type='checkbox' name='tsms[]' value='$x' checked >" ."</td>";
	echo "</tr>";
	$i++;
}
echo "</table>";
///////////////// ANAPLIROSEIS

$sql= $dbcon->prepare("SELECT a.teacher,a.period,a.aponid,a.mathima,t.Name,t.kinito FROM anaplirosi as a,teachers as t 
WHERE a.teacher=t.PMP AND a.date=? " );
$sql->execute([$dt]);
$c=$sql->rowCount();


echo "<BR>"."<b>"."ΚΑΤΑΛΟΓΟΣ ΚΑΘΗΓΗΤΩΝ ΜΕ ΑΝΑΠΛΗΡΩΣΗ"."</b>";
echo "<table class='myTable' >
<tr style='border:1px solid black' bgcolor='#d6ff73'  >
<th>Α/Α</th>
<th>ΠΜΠ</th>
<th>Όνομα</th>
<th>Τμήμα</th>
<th>Περίοδος</th>
<th>Τηλέφωνο</th>
<th>Αποστολή SMS</th>
</tr>";
$k=1;
while($row=$sql->fetch(PDO::FETCH_ASSOC))   
{ 
	$pmpx[$k]=$row['teacher'];
	$perx[$k]=$row['period'];
	$namex[$k]=$row['Name'];
	$tilx[$k]=$row['kinito'];
	$tmx[$k]=$row['mathima'];
	echo "<tr>";
	echo "<td>". $k . "</td>";
	echo "<td>". $pmpx[$k]."</td>";
	echo "<td>". $namex[$k]."</td>";
	echo "<td>". $tmx[$k]."</td>";
	echo "<td>". $perx[$k]."</td>";
	echo "<td>". $tilx[$k]."</td>";
	$xx=$tilx[$k]."/".$perx[$k]."/".$namex[$k]."/".$tmx[$k];
	echo "<td align='center'>". "<input type='checkbox' name='tsmsx[]' value='$xx' checked >" ."</td>";
	echo "</tr>";
	$k++;
}
echo "</table>";
//////////////

?>	
<br>
<input type="submit" value="Αποστολή Μηνυμάτων" name="submits">
</form>

<?php

if (isset($_POST['submits'])) 
{
	
	$tm=array();
	$i=0;
	$tel=$_POST['tsms'];
	$telx=$_POST['tsmsx'];
	if (count($tel) > 0)
	{
		foreach ($tel as $t)
		{
		   $ar=explode("/",$t);
		   $tilef[$i]=$ar[0];
		   $from=$ar[1];
		   $to=$ar[2];
		   $name=$ar[3];
		   $tm=$ar[4];
		   $smsf[$i]=$name.", ΚΑΛΗΜΕΡΑ. ΕΝΗΜΕΡΩΣΗ ΓΙΑ ΑΛΛΑΓΗ ΠΡΟΓΡΑΜΜΑΤΟΣ: ΑΠΟ: ".$from."περ. ΣΕ ".$to.", ΤΜΗΜΑ ".$tm;
		   echo "<br>".$smsf[$i];
		   $i++;
		}	   
	}
	echo "<br>";
	if (count($telx) > 0)
	{
		foreach ($telx as $t)
		{
		   $ar=explode("/",$t);
		   $tilef[$i]=$ar[0];
		   $perx=$ar[1];
		   $namex=$ar[2];
		   $tmx=$ar[3];
		   $smsf[$i]=$namex.", ΚΑΛΗΜΕΡΑ. ΕΝΗΜΕΡΩΣΗ ΓΙΑ ΑΝΑΠΛΗΡΩΣΗ ΤΗΝ: ".$perx." περ. ΣΤΟ ΤΜΗΜΑ ".$tmx;
		   echo "<br>".$smsf[$i];
		   $i++;
		}	   
	}
	echo "<br>";
	
	$_SESSION['tel']=$tilef;
	$_SESSION['sm']=$smsf;
	$_SESSION['fl']="allanapl";
	include "smssecret.php";    	
}
}

?>
<br /><br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού  </button></a>
</body>
</html>